<!-- .slide: data-background="slides/discipline.jpg" data-background-size="contain" data-background-opacity="0.6" -->

## Discipline <!-- .element: class="text-over-image" -->
<!-- .slide: data-background-color="#033" -->

-V-
<!-- .slide: data-background="slides/discipline.jpg" data-background-size="contain" data-background-opacity="0.3" -->
<!-- .slide: data-background-color="#033" -->
When your rationality wants one thing

but your emotions do something else.

---
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.4" -->
### Elephant Rider

<div>

- metaphor describing our internal interactions
- elephant = emotional side
- rider = rational side

</div>

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.2" -->
The **rider** is tiny but intelligent,<br />holding the reigns and choosing the right path.

The **elephant** is huge but simple,<br />with a mind of its own.

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.1" -->
Most of the time, the elephant let's the rider lead the way.

But at 6 tons it won't be bossed around! <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.1" -->
If the rider is indecisive or tired,<br />the elephant will do as it likes.

If the elephant gets scared,<br />it will not obey the rider.

-V-

### Ego depletion
#### Rider is tired

- making decisions (big or small) is tiring
- we have limited operational capacity
- once depleted, the emotional side takes over
- can be replenished when done in advance:
    - take breaks,
    - do simple manual activities,
    - improve your mood

-V-

### Emotional aversion
#### Elephant is scared

- some activities appear daunting right away:
    - demanding lots of effort
    - ambiguous; many unknowns
    - uncomfortable
- builds an emotional barrier,<br/>causing an emotional aversion
- lowering the barrier makes an activity approachable

-V-

### Growing the capacity

It is possible to increase our operational capacity
- by building positive habits
- by lowering the emotional aversion

-V-
<!-- .slide: data-background="slides/elephant_rider.jpg" data-background-size="contain" data-background-opacity="0.1" -->
The **rider** must plan around the **elephant's** needs

to make good progress on their journey

without the rider being thrown off into a ditch.

-V-
<!-- .slide: data-background-color="#030" -->
### My thoughts

- useful mental model
- explains why my rationality doesn't always win<br>and that it is normal
- enables to account for it and work with it

---
<!-- .slide: data-background-color="#542" data-background="slides/habit_tracker.jpg" data-background-size="contain" data-background-opacity="0.5" -->
### TOOL: Habit tracker <!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#542" data-background="slides/habit_tracker.jpg" data-background-size="contain" data-background-opacity="0.1" -->
Define positive habits

and track them daily.

-V-

#### Why?
<!-- .slide: data-background-color="#542" -->
- keeping our elephant in line:<!-- .element: class="fragment" -->
    - easier on our operational capacity: less need for making decisions; it is already decided
    - less forgetting or avoiding the activity
- practice makes perfect, repetition brings efficiency<!-- .element: class="fragment" -->
- incremental changes take time, habits help us make the time<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### How?
| Habit | Workout | Alcohol | Coding |
| ------|---------|---------|------- |
| Target| > 10 min| < 0,5 l |> 30 min|
| 1.    | 🟢 20    | 🟢  0    | 🔴   15 |
| 2.    | 🔴  5    | 🔴  1    | 🔴   10 |
| 3.    | 🔴  0    | 🟢  0,2  | 🔴   25 |
| 4.    | 🟢 13    | 🟢  0,2  | 🟢   35 |
| 5.    | 🟢 12    | 🟢  0    | 🟢   45 |

-V-
<!-- .slide: data-background-color="#030" -->
### My Habits

1. Get up early<!-- .element: class="fragment" data-fragment-index="1" -->
    - before 4:45 daily<!-- .element: class="fragment" -->
    - no exceptions<!-- .element: class="fragment" -->
2. Gym workout<!-- .element: class="fragment" data-fragment-index="2" -->
    - at least 10 minutes daily<!-- .element: class="fragment" -->
    - right after waking up<!-- .element: class="fragment" -->
3. Personal Work session<!-- .element: class="fragment" data-fragment-index="3" -->
    - at least 1 hour daily<!-- .element: class="fragment" -->
    - right after the gym<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
#### My Tracking:
### Gym sessions
- A4 sheet per week, daily tracking<!-- .element: class="fragment" -->
- table of exercises + time and effort<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->

#### Book of workouts
<img src="slides/habit_tracker_book.jpg" alt="Book" class="r-stretch">
-V-
<!-- .slide: data-background-color="#030" -->

#### One page per week
<img src="slides/habit_tracker_page.jpg" alt="Book" class="r-stretch">
-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/habit_tracker_100.jpg" -->

#### 100 weeks in a row<br/>(1.92 years) <!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Observations

- helped me to build a and keep a habit
- kept me accountable for spending my time
- lowering barriers for entry is key
    - predefined plan = less decision making
    - having a few sheets in stock = less disruptions

---
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.4" -->
### TOOL: ToDo Today  <!-- .element: class="text-over-image" -->

-V-

#### What is it?
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.1" -->
- list of prioritized, time-boxed tasks
- prepared the previous day
- important task first
    - something you *want* or *need* to complete
    - provides consistent daily progress

-V-

#### Why does it work?
<!-- .slide: data-background-color="#542" data-background="slides/todo_today.jpg" data-background-size="contain" data-background-opacity="0.1" -->
- avoids decision paralysis
- trimmed down daily list is manageable
- big tasks split into small ones
- the elephant doesn't get scared


-V-
<!-- .slide: data-background-color="#030" -->
#### My ToDo tracker
Collection of markdown text files<br/>that are easy to edit (Joplin).

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-in fade-out" -->
#### My ToDo tracker (1)
```markdown
# 2025-04-16
- 🚧 🚧 WIP 🚧 🚧
- pending task A
- pending task B

# TOMORROW
- some task C

# LATER
- other task D
```

-V-
<!-- .slide: data-background-color="#030" data-transition="fade" -->
#### My ToDo tracker (1)

```markdown
# 2025-04-16
- done task A
- 🚧 🚧 WIP 🚧 🚧
- pending task B

# TOMORROW
- some task C

# LATER
- other task D
```

-V-
<!-- .slide: data-background-color="#030" data-transition="fade" -->
#### My ToDo tracker (1)

```markdown
# 2025-04-16
- done task A
- done task B
- 🚧 🚧 WIP 🚧 🚧

# TOMORROW
- some task C

# LATER
- other task D
```

-V-
<!-- .slide: data-background-color="#030" data-transition="fade" -->
#### My ToDo tracker (2)

```markdown
# 2025-04-16
- done task A
- 🚧 🚧 WIP 🚧 🚧
- pending task B

# TOMORROW
- some task C

# LATER
- other task D
```

During the day:

 🚧 🚧 WIP 🚧 🚧 line moves,<br/>
 showing what is done<br/>
 and what comes next.

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-out fade-in" -->
#### My ToDo tracker (3)

```markdown
# 2025-04-17
- 🚧 🚧 WIP 🚧 🚧
- some task C
- other task D

# TOMORROW


# LATER
- yet another task E
```

At the end of the day:
1. TODAY entries move to an archive
2. TOMORROW transforms into TODAY
3. Job well done!

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-out fade-in" -->
#### My ToDo tracker feedback

- helps to focus, less jumping around
    - "you are working on THIS" reminder
- proper prioritization in a wider context
    - new tasks don't cut in line
- helps with making & tracking progress