### When procrastinating...

- you avoid urgent tasks. <!-- .element: class="fragment" -->
- you spend time on useless things. <!-- .element: class="fragment" -->
- you don't rest, nor regain energy. <!-- .element: class="fragment" -->

-V-

### And then...

- you fall behind and get stressed. <!-- .element: class="fragment" -->
- you regret losing your precious time. <!-- .element: class="fragment" -->
- you feel miserable and tired. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-transition="slide-in fade-out" -->
### ...but why?

-V-
<!-- .slide: data-transition="fade-in slide-out" -->
😐 "I don't feel like it."

"I'm way too tired." 😪 <!-- .element: class="fragment" -->

😕 "I don't know how to do it." <!-- .element: class="fragment" -->

"I'm very busy now." 🧐 <!-- .element: class="fragment" -->

😇 "I will do it, but first [☕]." <!-- .element: class="fragment" -->

-V-

### No, really. Why?

-V-

In our modern world, we have...

safety, stability, longer life,<!-- .element: class="fragment" -->

freedom, opportunities,<!-- .element: class="fragment" -->

accessible information, knowledge<!-- .element: class="fragment" -->

...and **so many options** to choose from!
<!-- .element: class="fragment r-fit-text" -->

---

### Decision Paralysis

We can easily become overwhelmed by options.
<!-- .element class="r-fit-text" -->

- what to choose? <!-- .element: class="fragment" -->
- go back and try something else? <!-- .element: class="fragment" -->
- best use of resources? <!-- .element: class="fragment" -->
- need to do more research? <!-- .element: class="fragment" -->

-V-

#### Finding the best option hurts,

#### so we leave it for *later*.
<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-transition="fade-in slide-out" -->
#### But as the saying goes...

> The best is the mortal enemy of the good

&mdash; <cite>Montesquieu</cite>

---

### How to make _good_ decisions?

-V-
<!-- .slide: class="pathfinder-page" -->
#### Set a rough direction and start exploring!

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="Greedy" selected>Greedy Algorithm</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <input type="range" class="slider range-speed" min="0" max="200" value="80">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid"></div></div>
</div>
<div class="pathfinder-rerun">Restart</div>

---
<!-- .slide: data-background-color="#030" -->
## Personal Intermezzo!

-V-
<!-- .slide: data-background-color="#030" -->
### David Hrdina Nemecek

Software Developer<!-- .element: class="fragment" -->

Father of three boys 😀 😜 👶<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### I 💘

### Code + Computers
### + Coffee <!-- .element: class="fragment" -->
### + Perfection <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### I enjoy meeting people*
### once a week. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### Career Review

Master's degree in Informatics,<br/>Parallel and Distributed Systems
<!-- .element: class="fragment" -->

| Role                       | duration    |
| -------------------------- | ----------- |
| SW **Developer**           | 4 years     |
| Sr. SW **Developer**       | 4 years     |
| Dev **Manager**            | 5 years     |
| Sr. Dev **Manager**        | 1+ year     |
<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### Last year I realized
- I'm very often unhappy, apathetic <!-- .element: class="fragment" -->
- I procrastinate at work heavily <!-- .element: class="fragment" -->
- I can't keep up <!-- .element: class="fragment" -->
- I feel frustrated and helpless<!-- .element: class="fragment" -->
- I'm scared of the next workday <!-- .element: class="fragment" -->

What's wrong?<!-- .element: class="fragment" -->
-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/books.jpg" data-background-opacity="0.05" -->
### Library to the rescue!

-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/books.jpg" data-background-opacity="0.9" -->
### My Stack of Books <!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#030" -->

⭐ **The End of Procrastination** ⭐

by Petr Ludwig

<img data-src="slides/books/end_of_procrastination.png" alt="Book cover" class="r-stretch" />

Basis for this talk.

-V-
<!-- .slide: data-background-color="#030" -->

*Grit: The Power of Passion and Perseverance*

by Angela Duckworth

<img data-src="slides/books/grit.jpg" alt="Book cover" class="r-stretch" />

> Perseverance beats talent.

-V-
<!-- .slide: data-background-color="#030" -->

*Flourish: A Visionary New Understanding of Happiness and Well-being*

by Martin Seligman

<img data-src="slides/books/flourish.jpg" alt="Book cover" class="r-stretch" />

> Positivity and contentment can be learned.

-V-
<!-- .slide: data-background-color="#030" -->

*Focus: A Simplicity Manifesto in the Age of Distraction*

by Leo Babauta

<img data-src="slides/books/focus.jpg" alt="Book cover" class="r-stretch" />

> It's worth making room for deep&nbsp;work.
