<!-- .slide: data-background="slides/motivation.jpg" data-background-size="contain" data-background-opacity="0.5"  -->
## Motivation <!-- .element: class="text-over-image" -->
<!-- .slide: data-background-color="#033" -->

-V-
<!-- .slide: data-background="slides/motivation.jpg" data-background-size="contain" data-background-opacity="0.3" -->
<!-- .slide: data-background-color="#033" -->
Why do we do the things we do?

---

### External motivation

Carrot and stick; someone else sets our path.
<!-- .element: class="fragment" -->

- activity feels meaningless <!-- .element: class="fragment" -->
- makes it easier to procrastinate <!-- .element: class="fragment" -->
- long-term: numbs our self-motivation <!-- .element: class="fragment" -->

---

### Internal motivation

We have our own target and we follow it.
<!-- .element: class="fragment" -->

- progress feels more rewarding <!-- .element: class="fragment" -->
- brings good mood <!-- .element: class="fragment" -->
- engages creativity and learning <!-- .element: class="fragment" -->

---

### Goal-based motivation
<!-- .slide: data-background-image="slides/goal_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.2" -->
We want to achieve something in the future. 

Two phases:<!-- .element: class="fragment" -->
1. long displeasure from not reaching the goal<!-- .element: class="fragment" -->
2. short rush of joy from reaching the goal<!-- .element: class="fragment" -->
    - that quickly evaporates<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-image="slides/goal_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.1" -->

#### Pros:
It works!
<!-- .element: class="fragment" -->

<br>

#### Cons:
It is harmful and not sustainable
<!-- .element: class="fragment" -->

Joy fades over time, requiring more demanding goals. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-image="slides/hedonic_treadmill.jpg" data-background-size="contain" data-background-opacity="0.1" -->
### Hedonic treadmill <a class="reference" href="https://en.wikipedia.org/wiki/Hedonic_treadmill">🔗</a>

> Humans quickly return to a relatively stable level of happiness despite major positive or negative events.

The reward for finishing a major goal<br />is not worth a long struggle to get there.<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My past goal

> I'll build a cool website for generating artwork and sell the art and the code!

1. *Build it*
    - I built the website! <!-- .element: class="fragment"  data-fragment-index="1" -->
    - I enjoyed this part. <!-- .element: class="fragment" data-fragment-index="3" -->
2. *Sell it*
    - I never managed to do any selling. <!-- .element: class="fragment"  data-fragment-index="2" -->
    - I hated this part.  <!-- .element: class="fragment" data-fragment-index="4" -->
---

### Journey-based motivation
<!-- .slide: data-background-image="slides/journey_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.2" -->
Joy is found in doing an activity, not finishing it.

* We enjoy the activity itself <!-- .element: class="fragment" -->
* Unlocks the state of flow <!-- .element: class="fragment" -->

---

### Flow
<!-- .slide: data-background-image="slides/flow.jpg" data-background-size="contain" data-background-opacity="0.2" -->
State of deep immersion in an activity that...

* is challenging<!-- .element: class="fragment" -->
* makes use of our strengths<!-- .element: class="fragment" -->
* matches our skills<!-- .element: class="fragment" -->
* is enjoyable.<!-- .element: class="fragment" -->

We tend to lose our sense of time,<!-- .element: class="fragment" -->

and it feels good.<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### You know the feeling

of staying up late

running compile just one last time<!-- .element: class="fragment" -->

with the help of a random forum post<!-- .element: class="fragment" -->

hoping it finally starts working.<!-- .element: class="fragment" -->

**Right?**<!-- .element: class="fragment" -->

---

### Personal vision
<!-- .slide: data-background-image="slides/group_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->

How we'd like to spend our limited time.

Journey-based, internal motivation<!-- .element: class="fragment" -->

- activities we'd like to be doing<!-- .element: class="fragment" -->
- milestones we'd like to pass<!-- .element: class="fragment" -->
- supporting something meaningful<!-- .element: class="fragment" -->

---

### Meaning
<!-- .slide: data-background-image="slides/group_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->

is a subjective motivation.

It goes beyond ourselves:<!-- .element: class="fragment" -->
- helping others / greater good,<!-- .element: class="fragment" -->
- creating a lasting legacy.<!-- .element: class="fragment" -->

-V-

### Group vision
<!-- .slide: data-background-image="slides/group_vision.jpg" data-background-size="contain" data-background-opacity="0.2" -->
Cooperation of individual visions.

> The whole is greater than the sum of its parts.
<!-- .element: class="fragment" -->

Both the group and its members achieve more<br>than lonely individuals. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### Meaning for me

I'm a fan of free and open source software:
- Daily user:<!-- .element: class="fragment" -->
    - OS & apps
    - fixes & features
    - documentation, tips, help  
- Contributor:<!-- .element: class="fragment" -->
    - releasing code, fixes
    - sponsoring useful projects and individuals

**Everyone benefits.**<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.5" -->
### TOOL: Personal Vision
<!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.3" -->
What gets out of bed in the morning?

-V-
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->
#### How to build a Personal Vision?
1. Personal SWOT analysis
2. List your Achievements
3. Analyze motivating activities
4. Define a Beta-Vision
5. Final Personal Vision


---
<!-- .slide: data-background-color="#542" -->
#### Step 1:
### Personal SWOT

<div class="flex-container flex-wrap flex-table flex-table-2">
    <div><h4>S</h4>Strengths</div>
    <div><h4>W</h4>Weaknesses</div>
    <div><h4>O</h4>Opportunities</div>
    <div><h4>T</h4>Threats</div>
</div>

-V-
<!-- .slide: data-background-color="#542" -->
#### Strengths
- skills, traits and qualities you have
- using them supports flow
- personal vision makes use of these as much as possible

-V-
<!-- .slide: data-background-color="#030" -->
#### My Strengths
- life-long programming experience
- perfectionist, love creating clean software
- persevering problem solver (especially for mysteries in tech)
- open-minded and attentive listener
- ...

-V-
<!-- .slide: data-background-color="#542" -->
#### Weaknesses
- qualities you lack; limitations and negative traits
- using them retards flow
- personal vision avoids them if possible

These can be improved <br>
but don't devote too much time to it. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
#### My Weaknesses
- introverted, social interactions are taxing
- weak in group dynamics, not a "people person"
- cautious in opinions, not an "influencer"

I spent way too much time fighting my social skills.<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
 #### Opportunities
 - possibilities today's world offers to you
 - using them supports flow
 - personal vision builds on them
 
 Only a few will be used. <!-- .element: class="fragment" -->
 
 The rest needs to be rejected and banished: <!-- .element: class="fragment" -->
 - to gain focus, clarity and mastery, <!-- .element: class="fragment" -->
 - to avoid decision paralysis or regrets. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
#### My Opportunities
- switch jobs for better role / pay / tech stack
- get back to distributed systems
- build expertise on one specific topic
- get exposure through knowledge sharing (talks)
- ...

I'll never be ruthless entrepreneur, but that's ok. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### Threats
- risks, possible negative impacts or scenarios
- take them into account, be prepared
- awareness helps with facing fears

-V-
<!-- .slide: data-background-color="#030" -->
#### My Threats
- changed role or job:
    - boring / stressful / annoying tasks
    - toxic&nbsp;workplace
    - lower pay / long commute
    - having to use Windows
- more exposure leading to personal attacks

-V-
<!-- .slide: data-background-color="#030" -->
#### My Observations
- it felt misaligned with the current career<br>(coding vs. people management)<!-- .element: class="fragment" -->
- Threats already applied to the current situation<!-- .element: class="fragment" -->

Change was apparently needed & low risk.<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" -->
#### Step 2:
### Personal Achievements
- things that brought you joy / you are proud of<!-- .element: class="fragment" -->
- provides specific evidence of your strengths<!-- .element: class="fragment" -->
- helps to gain confidence and think positively<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Achievements

- finished college, wrote a cool master's thesis
- became a team leader
- self-hosting my services via VPS
- extracted ERP legacy tax functionality via a strategy pattern
- learned to type using the Workman layout
- ...

-V-
<!-- .slide: data-background-color="#030" -->
#### My Observations
- Nice! I did some cool things!<!-- .element: class="fragment" -->
- Very little of it was connected to people&nbsp;management<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" -->
#### Step 3:
### Analyzing motivating activities

Find what drives you to strengthen your vision.<!-- .element: class="fragment" -->

<div class="fragment">

Categories:
- bringing personal growth
- creating legacy
- building relationships
- has deeper meaning

</div>

Look for synergies and groups.<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-in fade-out" -->
### My Activities
- writing readable code, testing, refactoring
- exploring new technologies and approaches
- contributing to open source projects
- learning through books and conferences
- knowledge sharing through blog, mentoring, talks
- working with colleagues - reviews, discussions
- research of innovative solutions
- solving problems, making software more useful
...

-V-
<!-- .slide: data-background-color="#030" data-transition="slide-out fade-in"-->
### My Activities Grouped
- collaborative software development (direct)
- exchange of experience (learning & teaching)
- research, experiments, investigation

---
<!-- .slide: data-background-color="#542" -->
#### Step 4:
### Beta-Vision
Finding a personal vision takes effort and time.<!-- .element: class="fragment" -->

<br/>

Finding a beta version is easier<br />therefore you won't procrastinate to start!<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Beta-Vision

- coding useful software on a daily basis
    - publicly, open source
    - Kotlin, TypeScript
- learning from others and sharing my knowledge
    - collaboration, discussions
    - blogging, talks, mentoring
- specialize in one area

---
<!-- .slide: data-background-color="#542" -->
#### Step 5:
### Final Personal Vision

<p>
A few paragraphs of what you want to be doing.
</p>
---

<!-- .slide: data-background-color="#542" -->
### Act Now!

Starting small is fine, as long as you start!<!-- .element: class="fragment" -->

*How can you incorporate your vision in your daily life?*<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My First Steps

1. Coding refresher:<!-- .element: class="fragment" -->
    - **Kotlin** Koans
    - **Go** by Example
    - Learn **Go** with Tests
    - Personal **React** project
2. Fixing defects in the Android apps that I use (in Kotlin). <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Findings

- starting small & early was great:<!-- .element: class="fragment" -->
    - for "prototyping" the vision<!-- .element: class="fragment" -->
        - (e.g.: Go is not so great)
    - to experiment stress-free<!-- .element: class="fragment" -->
    - to avoid overthinking it<!-- .element: class="fragment" -->
- I regularly experienced flow, improved my mood, raised my skills and really enjoyed doing it.<!-- .element: class="fragment" -->
- having a vision for your life is useless without taking action<!-- .element: class="fragment" -->
